<?php
$title = 'Полезные коды';
require_once ('../system/function.php');
require_once ('../system/header.php');
if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}
switch($_GET['act'])
{
default:
echo '<div class="menu">'.$title.'</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = $pdo->query("SELECT COUNT(*) FROM `polz_razdel` ")->fetchColumn();
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

echo '<div class="links"><img src="/images/search_meta.png" alt="*" /> <a href="/polz_kod/poisk">Поиск по меткам</a></div>';

$lib = $pdo->query("SELECT * FROM `polz_razdel` ORDER BY `id` DESC LIMIT $start, $max");
while($a = $lib->fetch())
{
echo '<div class="podmenu">
<img src="/images/dir.png" alt="*""> 
<a href="/polz_kod/razdel'.$a['id'].'">'.$a['name'].'</a> ['.$pdo->query('select count(`id`) from `polz_stat` where `razdel` = "'.$a['id'].'"')->fetchColumn().']';
if($user['level'] >= 2) echo ' [<a href="/polz_kod/del_razdel'.$a['id'].'">уд</a>|<a href="/polz_kod/red_razdel'.$a['id'].'">ред</a>]';
echo '</div></div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Папок еще нет!</center></b></div>';
if($k_page>1) echo str(''.$HOME.'/polz_kod?',$k_page,$page);

if($user['level'] >= 1) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*"/> <a href="'.$HOME.'/polz_kod/new_pap">Добавить папку</a></div>';

break;
case 'new_pap':

echo '<div class="menu"><a href="/polz_kod">'.$title.'</a> | Новая папка</div>';

if($user['level'] < 2){
header('Location: '.$HOME.'/polz_kod');
exit();
}

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);



if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название папки!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$pdo->exec("INSERT INTO `polz_razdel` SET `name` = '".$name."',`opis` = '".$opis."'");
echo '<div class="podmenu"><center><b>Папка успешно создана!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST">  
Имя папки:<br /> <input type="text" name="name" value=""/><br />
<input type="submit" name="submit" value="Создать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/polz_kod/">Назад в библиотеку</a></div>';

break;
case 'red_razdel':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$id."'")->fetch();

if($lib == 0) {
echo '<div class="menu">'.$title.' | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 2){
header('Location: '.$HOME.'/polz_kod');
exit();
}

echo '<div class="links"><a href="/polz_kod">'.$title.'</a> | <a href="/polz_kod/razdel'.$id.'">'.$lib['name'].'</a> | Редактирования</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание папки!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название папки!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$pdo->exec("UPDATE `polz_razdel` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '".$id."'");
header('location: '.$HOME.'/polz_kod');
}

echo '<div class="podmenu"><form action="" method="POST"> 
Имя папки:<br /> <input type="text" name="name" value="'.$lib['name'].'"/><br />
Описание:<br /><textarea name="opis">'.$lib['opis'].'</textarea><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/polz_kod/">Назад в полезные коды</a></div>';

break;
case 'del_razdel':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$id."'")->fetch();

if($lib == 0) {
echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 2){
header('Location: '.$HOME.'/polz_kod/');
exit();
}

if(isset($_REQUEST['ok'])) {

$sql = $pdo->query("SELECT * FROM `polz_stat` WHERE `razdel` = '".$id."' ");

$pdo->exec("DELETE FROM `polz_razdel` where `id` = '".$id."'");
$pdo->exec("DELETE FROM `polz_stat` where `razdel` = '".$id."'");

while($f = $sql->fetch()){
unlink("../files/polz_kod/".$f['files']."");
} 
header('Location: '.$HOME.'/polz_kod');
exit();
}

echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Удаление папки</div>
<div class="podmenu">Вы действительно хотите удалить эту папку?<br /><a href="?ok"><input type="submit" value="Да"></a><a href="'.$HOME.'/polz_kod"><div style="float:right"><input type="submit" value="Нет"></div></a></div>';


break;
case 'razdel':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$id."'")->fetch();

if($lib == 0) {
echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><a href="/polz_kod">'.$title.'</a> | '.$lib['name'].' </div>';

echo '<div class="podmenu"><img src="'.$HOME.'/images/add.png" alt="*"/> <a href="'.$HOME.'/polz_kod/new_stat'.$id.'">Добавить код</a></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = $pdo->query("SELECT COUNT(*) FROM `polz_stat` WHERE `razdel` = '".$id."'")->fetchColumn();
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$lib = $pdo->query("SELECT * FROM `polz_stat` WHERE `razdel` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");
while($a = $lib->fetch())
{
$array = explode(" ", $a['opis']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';

echo '<div class="links">
<img src="/images/stat.png" alt="*""> 
<a href="/polz_kod/kod'.$a['id'].'">'.$a['name'].'</a> ';
if($user['level'] >= 1 or $user['id'] = $lib['avtor']) echo ' [<a href="/polz_kod/del_knig'.$a['id'].'">уд</a>|<a href="/polz_kod/red_knig'.$a['id'].'">ред</a>]';
echo '</div><div class="podmenu">'.smile(bb($text_v)).'</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Кодов еще нет!</center></b></div>';
if($k_page>1) echo str(''.$HOME.'/polz_kod/razdel'.$id.'?',$k_page,$page);

break;
case 'new_stat':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$id."'")->fetch();


if($lib == 0) {
echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой папки не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!$user['id']){
header('Location: '.$HOME.'/polz_kod');
exit();
}

echo '<div class="links"><a href="/polz_kod">'.$title.'</a> | <a href="/polz_kod/razdel'.$id.'">'.$lib['name'].'</a> | Новый код</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);
$meta = strong($_POST['meta']);

$maxsize = 2; //Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; //Вес файла

$filetype = array ( 'jar', 'jad', 'apk', 'sis', 'sisx', 'zip', 'rar', 'jpg', 'png', 'jpeg', 'gif', 'exe' );
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1);

if(mb_strlen($meta) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($meta)) $err = 'Введите метки для поиска!';
if ($size > (1048576 * $maxsize)) $err ='Максимальный размер файла '.$maxsize.'мб!';
if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание книги!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название книги!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name'];

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/polz_kod/".$files."");

/* Делаем запрос */
$pdo->exec("INSERT INTO `polz_stat` SET `razdel` = '".$id."',`meta` = '".$meta."',`name` = '".$name."',`opis` = '".$opis."',`files` = '".$files."',`avtor` = '".$user['id']."'");
$sql = $pdo->lastInsertId();
header('Location: '.$HOME.'/polz_kod/kod'.$sql.'');
exit();
}

echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data">
Имя кода:<input type="text" name="name" value=""/>
<br/>
Описание:<textarea name="opis"></textarea>
<br/>
Код:<textarea name="meta"></textarea>
<br/>


<input type="submit" name="submit" value="Опубликовать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/lib/">Назад в полезные коды</a></div>';

break;
case 'kod':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_stat` WHERE `id` = '".$id."'")->fetch();
$razdel = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$lib['razdel']."'")->fetch();

if($lib == 0) {
echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такого кода не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><a href="/polz_kod">'.$title.'</a> | <a href="/polz_kod/razdel'.$razdel['id'].'">'.$razdel['name'].'</a> | '.$lib['name'].'</div>';

echo '<div class="podmenu"><img src="/images/stat.png" alt="*""> '.$lib['name'].'</div>
<div class="podmenu">'.nl2br(smile(bb($lib['opis']))).'</div>
<div class="podmenu"><b>Код:</b><textarea> '.nl2br(smile(bb($lib['meta']))).'</textarea></div>

<div class="podmenu"><b>Автор:</b> '.nick($lib['avtor']).' </div>';
break;
case 'red_knig':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_stat` WHERE `id` = '".$id."'")->fetch();
$razdel = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$lib['razdel']."'")->fetch();

if($lib == 0) {
echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой книги не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 1 or $lib['avtor'] != $user['id']){
header('Location: '.$HOME.'/polz_kod');
exit();
}

echo '<div class="links"><a href="/polz_kod">'.$title.'</a> | <a href="/polz_kod/razdel'.$razdel['id'].'">'.$razdel['name'].'</a> | <a href="/polz_kod/kod'.$id.'">'.$lib['name'].'</a> | Редактирование</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание кода!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название кода!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$pdo->exec("UPDATE `polz_stat` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
header('location:'.$HOME.'/polz_kod/kod'.$id.'');
}

echo '<div class="podmenu"><form action="" method="POST"> 
Имя кода:<br /> <input type="text" name="name" value="'.$lib['name'].'"/><br />
Описание кода:<br /><textarea name="opis">'.$lib['opis'].'</textarea><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/polz_kod/">Назад в коды</a></div>';

break;
case 'del_knig':

$id = abs(intval($_GET['id']));
$lib = $pdo->query("SELECT * FROM `polz_stat` WHERE `id` = '".$id."'")->fetch();
$razdel = $pdo->query("SELECT * FROM `polz_razdel` WHERE `id` = '".$lib['razdel']."'")->fetch();

if($lib == 0) {
echo '<div class="menu"><a href="'.$HOME.'/polz_kod/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такого кода не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 1 or $lib['avtor'] != $user['id']){
header('Location: '.$HOME.'/polz_kod');
exit();
}

echo '<div class="links"><a href="/polz_kod">'.$title.'</a> | <a href="/polz_kod/razdel'.$razdel['id'].'">'.$razdel['name'].'</a> | <a href="/polz_kod/kod'.$id.'">'.$lib['name'].'</a> | Удаление</div>';

if(isset($_REQUEST['ok'])) {
$pdo->exec("DELETE FROM `polz_stat` where `id` = '".$id."'");

unlink("../files/polz_kod/".$lib['files']."");


header('Location: '.$HOME.'/polz_kod/razdel'.$razdel['id'].'');
exit();
}

echo '<div class="podmenu">Вы действительно хотите удалить эту книгу?<br /><a href="?ok"><input type="submit" value="Да"></a><div style="float:right"><a href="'.$HOME.'/polz_kod/razdel'.$razdel['id'].'"><input type="submit" value="Нет"></a></div></div>';


break;
case 'poisk':

echo '<div class="menu"><a href="/polz_kod">'.$title.'</a> | Поиск по меткам</div>';

echo '<div class="podmenu"><form action="" method="POST">
Метка поиска: <br />
<input type="text" name="meta" value="" maxlength="30" /><br />
<input type="submit" name="submit" value="Искать" />
</form></div>';


if(isset($_REQUEST['submit'])) {

$meta = strong($_POST['meta']);

if(strlen($meta) <1) {
echo '<div class="podmenu"><center><b>Минимальная длина запроса 1 символ!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><img src="/design/gradient/lol.png" alt="*" /> Результаты поиска:</div>';

$s = $pdo->query("SELECT * FROM `polz_stat` where `meta` LIKE '%".$meta."%' ORDER BY `id` DESC ");
$sql = $pdo->query("SELECT COUNT(*) FROM `polz_stat` where `meta` LIKE '%".$meta."%' ")->fetchColumn();

while($a = $s->fetch()){
$array = explode(" ", $a['opis']);
$text_num = array_slice($array, 0, 20);
$text_v = implode(" ", $text_num);
$text_v .= '...';

echo '<div class="links">
<img src="/images/stat.png" alt="*""> 
<a href="/polz_kod/kod'.$a['id'].'">'.$a['name'].'</a> ';
if($user['level'] >= 1) echo ' [<a href="/polz_kod/del_knig'.$a['id'].'">уд</a>|<a href="/polz_kod/red_knig'.$a['id'].'">ред</a>]';
echo '</div><div class="podmenu">'.smile(bb($text_v)).'</div>';
}
}

if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';

break;
}

require_once ('../system/footer.php');
?>